com.dlsc.flexgantt.model.paging

## Enum PagingEvent.ID

- java.lang.Object
- - java.lang.Enum<PagingEvent.ID>
  - - com.dlsc.flexgantt.model.paging.PagingEvent.ID

- All Implemented Interfaces:
    Serializable, Comparable<PagingEvent.ID>
  Enclosing class:
    PagingEvent

      public static enum PagingEvent.ID
      extends Enum<PagingEvent.ID>

  An enumerator with event IDs that can be used by model listeners to distinguish between different types of events that have occured inside a paging model.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PAGE_ADDED` An identifier used for such events that get fired when a page was added to a paging model.
    `PAGE_CHANGED` An identifier used for such events that get fired when the currently used page was changed.
    `PAGE_REMOVED` An identifier used for such events that get fired when a page was removed from a paging model.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PagingEvent.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PagingEvent.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PAGE_ADDED

          public static final PagingEvent.ID PAGE_ADDED

      An identifier used for such events that get fired when a page was added to a paging model.
      Since:
        1.0

    - #### PAGE_REMOVED

          public static final PagingEvent.ID PAGE_REMOVED

      An identifier used for such events that get fired when a page was removed from a paging model.
      Since:
        1.0

    - #### PAGE_CHANGED

          public static final PagingEvent.ID PAGE_CHANGED

      An identifier used for such events that get fired when the currently used page was changed.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static PagingEvent.ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PagingEvent.ID c : PagingEvent.ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PagingEvent.ID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.